/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
//--------------------------------------------------------------------------//
//                                                                          //
//  Name: Service Restarter                                                 //
//  Platforms: WIN32                                                        //
//  ......................................................................  //
//  Revision History:                                                       //
//  01-29-98  Initial Version, Andy Hakim (ahakim@netscape.com)             //
//--------------------------------------------------------------------------//
#include <windows.h>
#include "ntos.h" 


//--------------------------------------------------------------------------//
//                                                                          //
//--------------------------------------------------------------------------//
void RestartService(char *szName)
{
	DWORD dwLastError;
	SERVICE_StopNTServiceAndWait(szName, &dwLastError);
	SERVICE_StartNTService(szName);
}


//--------------------------------------------------------------------------//
//                                                                          //
//--------------------------------------------------------------------------//
int main(int argc, char *argv[])
{
	RestartService("admin70-serv");
}
