/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
 
#define CGI_NAME "restartsrv"
 
static char dbtrestartsrvid[] = "$DBT: restartsrv referenced v1 $";
 
#include "libadminutil/resource.h"

BEGIN_STR(restartsrv)
  /* external string used in migrateConfig.c */
  ResDef( DBT_CGIID_, -1, dbtrestartsrvid )
  ResDef( DBT_NO_NEW_PROCESS, 1, "Couldn't create a new process to stop admin server" )
  ResDef( DBT_RESTART_ACK, 2, "Admin server should restart on user request" )
  ResDef( DBT_CANT_STOP_SRV, 3, "Couldn't stop the administration server" )
END_STR(restartsrv)
