# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
#!/usr/local/bin/perl

#
# Why don't redirects seem to work on NT...sheesh.
#
# This is essentially cat, written in perl.
#
# DT 12/12/97
#

($#ARGV > 0) || die "Usage $0 [files] [outfile]";

open(OUTPUT, ">$ARGV[$#ARGV]") || die "Can't open $ARGV[$#ARGV]\n";

for ($i = 0 ; $i < $#ARGV ; $i += 1)
{
   open(FILE, "<$ARGV[$i]") || die "Can't open $ARGV[$i]\n";
 
   while ($line = <FILE>)
   {
      print OUTPUT $line;
   }

   close(FILE);
}

close(OUTPUT);
