/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
package com.netscape.management.admserv.task;

import java.awt.*;
import javax.swing.*;
import com.netscape.management.nmclf.*;
import com.netscape.management.admserv.*;
import com.netscape.management.admserv.panel.*;
import com.netscape.management.client.*;
import com.netscape.management.client.console.*;
import com.netscape.management.admserv.config.*;
import com.netscape.management.client.util.*;

/**
  *
  * @version 0.1 11/01/97
  * @author ahakim@netscape.com
  * @see AdminTaskObject
  */
public class Stop extends AdminTaskObject {
    public Stop() {
        setName(AdminServer._resource.getString("taskName","stop"));
        setDescription(
                AdminServer._resource.getString("taskDescription","stop"));
    }

    public boolean run(IPage viewInstance) {
        TaskPage page = (TaskPage) viewInstance;

        String ackMsg = AdminServer._resource.getString("stop","ack");
        int userSelection = SuiOptionPane.showConfirmDialog(page, ackMsg,
                getName(), SuiOptionPane.YES_NO_OPTION);

        if (userSelection != SuiOptionPane.YES_OPTION) {
            return false;
        }

        AdminOperation operation = new StopOperation(_consoleInfo);
        operation.monitorOperation("");
        DialogFrame dialog =
                new DialogFrame(page, getName(), operation.getPanel());
        dialog.setVisible(true);
        dialog.dispose();
        ModalDialogUtil.sleep();
        return true;
    }
}

