#!/bin/sh

# A wrapper for ICU utility genrb on Unix.
# Sets LD_LIBRARY_PATH before invoking the command

if [ $# -lt 2 ]; then
   echo Usage: $0 path_to_icu_root_dir [ genrb parameters ]
   exit 1
fi

ICU_DIR=$1
shift

LD_LIBRARY_PATH=$ICU_DIR/lib:$LD_LIBRARY_PATH

# HP SHLIB_PATH
SHLIB_PATH=$ICU_DIR/lib:$SHLIB_PATH

export LD_LIBRARY_PATH SHLIB_PATH
echo $ICU_DIR/bin/genrb $@
exec $ICU_DIR/bin/genrb $@
