/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
// admin.h : main header file for the ADMIN application
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

/////////////////////////////////////////////////////////////////////////////
// CAdminApp:
// See admin.cpp for the implementation of this class
//

class CAdminApp : public CWinApp
{
	CString	m_szBrowserName;
	CString	m_szBrowserPath;
	CString	m_szBrowserExe;
    CString m_szNetscapeNavigatorName;
    CString m_szNetscapeNavigatorExe;
    CString m_szNetscapeNavigatorPath;
    CString m_szRoot;
    CString m_szUnixRoot;
    CString m_szComputerName;
    CString m_szThisHostName;
    CString m_szHostName;
    CString m_szAdminPort;
    CString m_szAdminSecurity;
    CString m_szSystemUser;
    CString m_szAdminUserName;
    CString m_szAdminPassword;
    CString m_szAdminExtraPassword;
    CString m_szAdminHostNames;
    CString m_szAdminHostIps;
    CString m_szDocumentRoot;
    CString m_szAdminExe;
    CString m_szAdminPath;
    CString m_szAdminConfPath;
    CString m_szHttpExe;
    CString m_szHttpPath;
    BOOL    m_WinNT;
    BOOL    m_installAsService;
    BOOL    bNetscapeNavigatorExists;
    BOOL    bNetscapeNavigatorProblem;

    LONG    m_nAdminPort;
public:
	CAdminApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdminApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
    BOOL FindOperatingSystem();
    BOOL FindNetscapeNavigator();
    void UseNetscapeBrowserIfUndefined();
    BOOL GetAdminServiceRunning();
    BOOL GetAdminServerRunning();
    BOOL GetAdminPort();
    void StartBrowser() ;
    BOOL GetServerDefaultHostName();

	//{{AFX_MSG(CAdminApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
