/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/* Microsoft Developer Support Copyright (c) 1993 Microsoft Corporation. */

#include <stdio.h>
#include <windows.h>
#include <string.h>
#include <stdlib.h>

#include "netsite.h"
#include "base/daemon.h"
#include "base/ereport.h"
#include <base/eventlog.h>
#include "frame/req.h"
#include "frame/func.h"
#include "frame/protocol.h"
#include "base/util.h"
#include "base/nodelock.h"

#include "frame/conf.h"
#include "base/cinfo.h"

#include <nt/regparms.h>
#include <nt/magnus.h>
#include <nt/messages.h>
#include <frame/conf.h>

extern int admin_init(VOID);

int PASCAL WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpszLine,
	int nShow)
{
	MSG msg;
#ifdef NOTDEF
	if(!AllocConsole())
		goto cleanup;
#endif /* NOTDEF */

	service_name = strdup("Fedora Installation");
	if (magnus_init())	{
		goto cleanup;
	}
	
	if(threads_init()) {
		goto cleanup;
	} 
	hInstance = hInst;

	while(TRUE);

cleanup:
    return(msg.wParam);

}
