/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/

#ifndef __INSBASE_H
#define __INSBASE_H

#define BASE_Z                   "base.z"
#define BASESYS_Z                "basesys.z"
#define STR_COPY_BASE            "Copying Suitespot shared Files"
#define STR_SUITESPOT_BASE       "base"
#define CLIENT_Z                 "client.z"
#define STR_COPY_CLIENT          "Copying Suitespot JRE enviroment Files"
#define STR_SUITESPOT_CLIENT     "base-client"


extern __declspec(dllexport) BOOL __cdecl BASE_PreInstall(LPCSTR lpszInstallPath);
extern __declspec(dllexport) BOOL __cdecl BASE_Install(void);
extern __declspec(dllexport) BOOL __cdecl CLIENT_Install(void);

typedef struct tagMODULEINFO {
  HINSTANCE m_hModule;
  HWND m_hwndParent;
  INT m_nResult;
} MODULEINFO;

#endif // __INSBASE_H
