/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/

NSPR_BEGIN_EXTERN_C

extern int ACL_StubStuffSession(ACLEvalHandle_t *, Session *, Request *, const
char *user);
NSAPI_PUBLIC int ACL_SetupEval(ACLListHandle_t *acllist, Session *sn, Request *rq, char **rights, char **map_generic, const char *user);
NSAPI_PUBLIC int ACL_AgentInvokeEval(char *uri, char* path, Session *sn, Request *rq, char *user, char **rights, char **map_generic);
NSAPI_PUBLIC int ACL_AgentRuntimeEval(char *file, char* path, char *user, char **rights, char **map_generic,Session* origSession);
NSAPI_PUBLIC int ACL_ForceAuth(Session *sn, Request *rq);
NSAPI_PUBLIC int
ACL_SearchRuntimeEval(char *file, char *path, char *user, char **rights, char **map_generic, Session* sn, Request* rq);
NSAPI_PUBLIC void ACL_EreportError(NSErr_t *errp);
extern int ACLUriCacheOn;


NSPR_END_EXTERN_C
