/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef CM_STAT_H
#define CM_STAT_H

#define CM_SERVICES_NS      "PageServices"
#define CM_PROPERTY_STR     "properties"
#define CM_WEBPUB_NS        "webpub-ui"
#define CM_SYS_PROP_NS      "wp-sys-prop"
#define CM_TOC_NS           "wp-toc"
#define CM_VER_INFO_NS      "wp-ver-info"
#define CM_LINK_INFO_NS     "wp-link-info"
#define CM_CUSTOM_FEILD_NS  "wp-custom-info"
#define CM_VER_DIFF_NS      "wp-ver_diff"
#define CM_START_VERSION_NS "wp-start-ver"
#define CM_STOP_VERSION_NS  "wp-stop-ver"
#define CM_VER_LINKS_NS     "wp-verify-link"
#define CM_UNCHECKOUT_NS    "wp-uncheckout"
#define CM_ADMIN_NS         "wp-admin"
#define CM_ADMIN_SYS_NS     "wp-admin-sys"
#define CM_USR_PROP_NS      "wp-usr-prop"
#define CM_HTML_REND_NS     "wp-html-rend"
#define CM_ADMIN_DUMP       "wp-cs-dump"



typedef  int (*CMTriggerProc)( pblock *pb, Session *sn, Request *rq, short message);
struct CMVtbl {
  CMTriggerProc CMTrigger;
};

  
typedef struct CMVtbl CMVtbl;


NSAPI_PUBLIC void CM_enable_cm(void *CMTrigger);
NSAPI_PUBLIC void CM_disable_cm(void);
NSAPI_PUBLIC int CM_get_status(void);
NSAPI_PUBLIC void CM_set_link_header(Request *rq);
NSAPI_PUBLIC int CM_get_link_header(char *uri, char *buf, int size);
NSAPI_PUBLIC int CM_is_cm_query( char *query );


#endif  /* CM_STAT_H */
