/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
//
// Name:    nsirinc.h
// Contact: mjb<barbarin@netscape.com>
// Note:
//    Include file for search system.  Basically the SAF API calls.
// -------------------------------------------------------------------------------

#ifndef __NSIRINC_H
#define __NSIRINC_H 1

#include <stdio.h>
#ifndef XP_WIN32
   #include <unistd.h> 
   #define NSAPI_PUBLIC
#else
   #include <windows.h>
   #define NSAPI_PUBLIC __declspec(dllexport)
#endif 

#if 0
extern "C" {
   // The following three are standard headers for SAFs.  They're used to
   // get the data structures and prototypes needed to declare and use SAFs.
   #include "base/pblock.h"
   #include "base/session.h"
   #include "base/util.h"
   #include "base/file.h" 
   #include "base/buffer.h"    
   #include "base/systems.h"    

   // added for I18N guys
   #include "base/language.h"    

   #include "frame/conf.h"
   #include "frame/req.h"
   #include "frame/protocol.h" 
   #include "frame/log.h"   
   #include "frame/func.h"
   }

#endif
#endif
