/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef _H_MCTYPES
#define _H_MCTYPES

#include <stdlib.h>



#define MD_SUCCESS  -1
#define MD_FAILED   -2
#define MD_ERROR    -200


#define CM_SUCCESS       -100
#define CM_FAILED        -200
#define CM_NO_DOCUMENTS  -300
#define CM_ERROR         -400
#define CM_PROCESSED     1
#define CM_NOT_PROCESSED 0


#define true  1
#define false 0

#define CS_Malloc(a)           malloc(a)
#define CS_Calloc(a,b)         calloc(a,b)
#define CS_Realloc(a,b)        realloc(a,b)
#define CS_Free(a)             free(a)
#define CS_strlen(a)           strlen(a)
#define CS_strcpy(a,b)         strcpy(a,b)
#define CS_strcat(a,b)         strcat(a,b)
#define CS_Memset(a,b,c)       memset(a,b,c)
#define CS_Memcpy(a,b,c)       memcpy(a,b,c)
#define CS_strdup(a)           strdup(a)
#define CS_strcmp(a,b)         strcmp(a,b)

#endif /*  _H_MCTYPES */






