/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/****************************************************************************
 *
 *   nsserver.h
 *
 ***************************************************************************/
#define NSDRV_LAUNCH_NAVIGATOR      DRV_USER
#define NSDRV_DRIVERS_REFRESH       DRV_USER+1
#define NSDRV_DRIVERS_INSTALLED     DRV_USER+2
#define NSDRV_DRIVER_STATUS         DRV_USER+3
#define NSDRV_DRIVER_START          DRV_USER+4
#define NSDRV_DRIVER_STOP	        DRV_USER+5
#define NSDRV_DRIVER_STARTUP        DRV_USER+6

typedef enum {
    SERVER_TYPE_ADMIN,
    SERVER_TYPE_FASTTRACK,
} SERVER_TYPE;

typedef enum {
    SERVER_STATUS_STOPPED,
    SERVER_STATUS_RUNNING,
} SERVER_STATUS;

typedef enum {
    SERVER_STARTUP_DISABLED,
    SERVER_STARTUP_MANUAL,
    SERVER_STARTUP_AUTOMATIC,
} SERVER_STARTUP;

typedef struct {
    int serverNumber;
    SERVER_TYPE type;
    SERVER_STATUS status;
    SERVER_STARTUP startup;
    char serverID[1];
} SERVER_INFO, * SERVER_INFO_PTR;
