/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef _IIOPSAF_H
#define _IIOPSAF_H

#include "base/session.h"
#include <base/pblock.h>
#include "frame/req.h"

#ifdef XP_WIN32
#define DLLEXPORT __declspec(dllexport)
#else
#define DLLEXPORT
#endif

NSPR_BEGIN_EXTERN_C

DLLEXPORT int IIOPexec_init(pblock *pb, Session *sn, Request *rq);
DLLEXPORT int IIOPexec(pblock *pb, Session *sn, Request *rq);

NSPR_END_EXTERN_C

#endif // _IIOPSAF_H

