/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
   This file is included from both C source and the NT installation compiler.
   Because of that, no ifdefs are allowed, and strings must be simple strings
   (not concatenated).

   Because macros called PERSONAL_VERSION and ENTERPRISE_VERSION already
   exist, the PRODUCT_VERSION define has _DEF appended.
 */


/*
 * (miodrag) Note: BASE_VERSION_DEF and MCC_VERSION_DEF are used by SETUPSDK
 * build scripts as SETUP_BASE and setup svrcore versions
 */
#define BASE_VERSION_DEF "7.0"
#define BASE_VERSION_STRING "Fedora Base components/7.0"

#define MCC_VERSION_DEF "7.0"
#define MCC_VERSION_STRING "Fedora Management Console/7.0"

#define ADMSERV_VERSION_DEF "7.0"
#define ADMSERV_VERSION_STRING "Fedora-Administrator/7.0"
#define ADMSERV_NAME Fedora Administration Server

#define VI_COMPANYNAME "Fedora Project\0"
#define VI_COPYRIGHT   "Copyright (C) 2005 Fedora Project\0"
