/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef __SECPWD_H__
#define __SECPWD_H__

#include <stdlib.h>
#include <nspr.h>
#include <plstr.h>
#include <key.h>
#include <pk11func.h>

char*    getPassword_cb(PK11SlotInfo* slot, void *wincx);

unsigned char *SEC_GetPassword(FILE *input, FILE *output, char *prompt, 
			       PRBool (*ok)(unsigned char *));

PRBool SEC_CheckPassword(unsigned char *cp);

PRBool SEC_BlindCheckPassword(unsigned char *cp);

#endif /* __SECPWD_H__  */
