/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#include "daemonprocessornt.h"
#include "daemonsession.h"
#include "daemonsessionnt.h"

PRBool DaemonProcessorNT::Initialize(daemon_s *pDaemon)
{
    DaemonSessionNT::Initialize();

    return PR_TRUE;
}

DaemonProcessorNT::DaemonProcessorNT() : DaemonProcessor()
{
}

DaemonProcessorNT::~DaemonProcessorNT()
{
}

DaemonSession *DaemonProcessorNT::NewAcceptSession(PRInt32 index)
{
    DaemonSessionNT *pNewAcceptSession;
    PRBool fSuccess;

    pNewAcceptSession = new DaemonSessionNT(index, this);
 
    fSuccess = pNewAcceptSession->StartThread();
    NS_ASSERT(fSuccess);

    return pNewAcceptSession;
}
