/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
** DaemonRequest.cpp
**
*/

#include "prtypes.h"
#include "pratom.h"
#include "daemonrequest.h"
#include "daemonprocessor.h"
#include "daemonsession.h"
#include "safs/ntlogbuf.h"
#include "base/crit.h"

PRInt32                 DaemonRequest::iMagicAlloc = 0x7ef01432; /* signs allocated items (random#) */
PRInt32                 DaemonRequest::iMagicFree = 0xbcd1078d; /* signs items on free list (random#) */
PRBool           DaemonRequest::fInitialized;

DaemonRequest::DaemonRequest (DaemonProcessor *_processor, DaemonSession *_pSession) : 
    pNext        (0),
    pSession     (_pSession),
    socket       (_pSession->GetSocket ()),
    pProcessor    (_processor)
{
    //NS_ASSERT (iMagic == iMagicAlloc);
}

DaemonRequest::~DaemonRequest ()
{
}

PRBool DaemonRequest::Initialize ()
{
    return PR_TRUE;
}
