/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 *
 * The actual implementation of a lock is opaque to libnls.  You must
 * handle all of the initialization yourself.  It is important that 
 * your lock allows the owning process to make multiple locking calls
 * without being suspended.
 *
 * InitSynchronization must be called prior to calling NLS_EncInitalize.
 *
 */
#include "nlsxp.h"
#include "muteximp.h"

//
// pointer to the MutexImplementation (use as parameter to NLS_EncInitalize)
//
extern MutexImplementation*	_pMutexImplementation;

//
// initialization routine
//
void InitSynchronization(void);