/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/* this is a dummy file and will be replaced when
 * integrating with server
 */


#include "httpagt.h"
#include "httpif.h"

static ubyte  me[] = {0x2b, 0x06, 0x01, 0x04, 0x01, 0x8b, 0x2a, 0x01};


int GetEntityIndex(struct httpEntity * row)
{
  row->index = 1;
  return 0;
}

int GetEntityDescr(struct httpEntity * row)
{
  row->descr.val = "HTTP description";
  row->descr.len = strlen(row->descr.val);
  return 0;
}

int GetEntityObjId(struct httpEntity * row)
{
  row->svrobjid.val = me;
  row->svrobjid.len = sizeof(me);
  return 0;
}

int GetEntityProtocol(struct httpEntity * row)
{
  row->protocol.val = "Http 1.0";
  row->protocol.len = strlen(row->protocol.val);
}

int GetEntityVersion(struct httpEntity * row)
{
  row->vers.val = "http version 1.1";
  row->vers.len = strlen(row->vers.val);
  return 0;
}

int GetEntityOrg(struct httpEntity * row)
{
  row->org.val = "Fedora Project";
  row->org.len = strlen(row->org.val);
  return 0;
}

int GetEntityLoc(struct httpEntity * row)
{
  row->loc.val = "mountain view, ca";
  row->loc.len = strlen(row->loc.val);
  return 0;
}

int GetEntityContact(struct httpEntity * row)
{
  row->contact.val = "George Dong at gdong@netscape.com";
  row->contact.len = strlen(row->contact.val);
  return 0;
}

int GetEntityAddr(struct httpEntity * row)
{
  row->addr = 205213;
  return 0;
}

int GetEntityPort(struct httpEntity * row)
{
  row->port.val = "12345";
  row->port.len = strlen(row->port.val); 
  return 0;
}

int GetEntityName(struct httpEntity * row)
{
  row->name.val = "offa";
  row->name.len = strlen(row->name.val);
  return;
}

int GetEntityType(struct httpEntity * row)
{
  row->svrtype.val = "communication server";
  row->svrtype.len = strlen(row->svrtype.val);
  return 0;
}

int GetEntityMethods(struct httpEntity * row)
{
  row->methods.val = "Get/post";
  row->methods.len = strlen(row->methods.val);
  return 0;
}

int GetEntityMacProc(struct httpEntity * row)
{
  row->maxprocess = 30;
  return 0;
}

int GetEntityMinProc(struct httpEntity * row)
{
  row->minprocess = 4;
  return 0;
}

int GetEntityMaxThread(struct httpEntity * row)
{
  row->maxthread = 10;
  return 0;
}

int GetEntityMinThread(struct httpEntity * row)
{
  row->minthread = 2;
  return 0;
}


int  GetStatisIndex(struct httpStatistics * row)
{
  row->index = 1;
  return 0;
}

int  GetStatisStatus(struct httpStatistics * row)
{
  row->status = 1;
  return 0;
}

int    GetStatisUptime(struct httpStatistics * row)
{
  row->uptime = 11111;
  return 0;
}

int    GetStatisNumPIdle(struct httpStatistics * row)
{
  row->numpidle = 3;
  return 0;
}

int    GetStatisNumPProc(struct httpStatistics * row)
{
  row->numpproc = 4;
  return 0;
}

int    GetStatisNumPDns(struct httpStatistics * row)
{
  row->numpdns = 1;
  return 0;
}

int    GetStatisRequests(struct httpStatistics * row)
{
  row->requests = 12345;
  return 0;
}

int    GetStatisRequestErr(struct httpStatistics * row)
{
  row->requesterr = 100;
  return 0;
}

int    GetStatisNumProc(struct httpStatistics * row)
{
  row->numprocess = 16;
  return 0;
}

int    GetStatisNumThread(struct httpStatistics * row)
{
  row->numthread = 17;
  return 0;
}

