/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/

#ifndef NS_SNMP
#define NS_SNMP

#ifdef PEER_SNMP
#include "ode/mgmtpub.h"
#endif

#ifndef NS_SNMPERR
#include "ns_snmperr.h"
#endif

#define SUBAGENT_DESC   "Netscape Snmp Subagent"

#ifndef MALLOC
#define MALLOC          malloc
#endif

#ifndef FREE
#define  FREE           free
#endif

struct mib_list
{
  void             * handle;
  struct mib_list   * next;
};

struct snmp_contxt
{
  void             * snmp_env;
  struct sockaddr  * agent;
  ObjId_t          * myid;
  Octets_t         * passwd;
  struct mib_list  * mib_list;
};


#endif






