/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
 
#define CGI_NAME "stopsrv"
 
static char dbtstopsrvid[] = "$DBT: stopsrv referenced v1 $";
 
#include "libadminutil/resource.h"

BEGIN_STR(stopsrv)
  /* external string used in migrateConfig.c */
  ResDef( DBT_CGIID_, -1, dbtstopsrvid )
  ResDef( DBT_NO_NEW_PROCESS, 1, "Couldn't create a new process to stop admin server" )
  ResDef( DBT_SHUTDOWN_ACK, 2, "Admin server should be shutdown on user request" )
  ResDef( DBT_CANT_STOP_SRV, 3, "Couldn't stop the administration server" )
END_STR(stopsrv)
