/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
 
#define CGI_NAME "userauth"
 
static char dbtuserauthid[] = "$DBT: userAuth referenced v1 $";
 
#include "libadminutil/resource.h"

BEGIN_STR(userauth)
  /* external string used in migrateConfig.c */
  ResDef( DBT_CGIID_, -1, dbtuserauthid )
  ResDef( DBT_NO_USER_NAME, 1, "No user name is specified" )
  ResDef( DBT_NO_LDAP_INFO, 2, "No LDAP information is available" )
  ResDef( DBT_NO_SR_INFO, 3, "No Server Root information is available" )
END_STR(userauth)
