@echo off

REM
REM This batch file can be run from anywhere. The only stipulation is that
REM the <drive-letter> and <server-root> must be provided as the first two
REM arguments. For example, admconfig_testscript h: as4.0\test
REM


REM
REM Change directory to <drive-letter> <server-root>
REM

%1
cd %2


call .\bin\admin\admconfig.bat -h
call .\bin\admin\admconfig.bat -h countAccessLogEntries
call .\bin\admin\admconfig.bat -h viewAccessLogEntries
call .\bin\admin\admconfig.bat -h countErrorLogEntries
call .\bin\admin\admconfig.bat -h viewErrorLogEntries
call .\bin\admin\admconfig.bat -h enableDSGWAccess
call .\bin\admin\admconfig.bat -h disableDSGWAccess
call .\bin\admin\admconfig.bat -h enableEndUserAccess
call .\bin\admin\admconfig.bat -h disableEndUserAccess
call .\bin\admin\admconfig.bat -h getAccesslog
call .\bin\admin\admconfig.bat -h setAccesslog
call .\bin\admin\admconfig.bat -h getAddresses
call .\bin\admin\admconfig.bat -h setAddresses
call .\bin\admin\admconfig.bat -h getAdminUID
call .\bin\admin\admconfig.bat -h setAdminUID
call .\bin\admin\admconfig.bat -h setAdminPwd
call .\bin\admin\admconfig.bat -h getAdminusers
call .\bin\admin\admconfig.bat -h setAdminusers
call .\bin\admin\admconfig.bat -h getCacheLifetime
call .\bin\admin\admconfig.bat -h setCacheLifetime
call .\bin\admin\admconfig.bat -h getClassname
call .\bin\admin\admconfig.bat -h setClassname
call .\bin\admin\admconfig.bat -h getDefaultacceptlanguage
call .\bin\admin\admconfig.bat -h setDefaultacceptlanguage
call .\bin\admin\admconfig.bat -h getDSConfig
call .\bin\admin\admconfig.bat -h setDSConfig
call .\bin\admin\admconfig.bat -h getErrorlog
call .\bin\admin\admconfig.bat -h setErrorlog
call .\bin\admin\admconfig.bat -h getHosts
call .\bin\admin\admconfig.bat -h setHosts
call .\bin\admin\admconfig.bat -h getOneacldir
call .\bin\admin\admconfig.bat -h setOneacldir
call .\bin\admin\admconfig.bat -h getPort
call .\bin\admin\admconfig.bat -h setPort
call .\bin\admin\admconfig.bat -h getServerAddress
call .\bin\admin\admconfig.bat -h setServerAddress
call .\bin\admin\admconfig.bat -h getSuiteSpotUser
call .\bin\admin\admconfig.bat -h setSuiteSpotUser
call .\bin\admin\admconfig.bat -h getUGDSConfig
call .\bin\admin\admconfig.bat -h setUGDSConfig
call .\bin\admin\admconfig.bat -h restart
call .\bin\admin\admconfig.bat -h stop


REM
REM The testinput file must be in the <server-root>
REM

call .\bin\admin\admconfig.bat -i testinput -countAccessLogEntries
call .\bin\admin\admconfig.bat -i testinput -countErrorLogEntries

call .\bin\admin\admconfig.bat -i testinput -viewAccessLogEntries \"0 10000000\"
call .\bin\admin\admconfig.bat -i testinput -viewErrorLogEntries \"0 10000000\"

call .\bin\admin\admconfig.bat -i testinput -enableDSGWAccess
call .\bin\admin\admconfig.bat -i testinput -enableEndUserAccess

call .\bin\admin\admconfig.bat -i testinput -disableDSGWAccess
call .\bin\admin\admconfig.bat -i testinput -disableEndUserAccess

call .\bin\admin\admconfig.bat -i testinput -getAccesslog
call .\bin\admin\admconfig.bat -i testinput -getAddresses
call .\bin\admin\admconfig.bat -i testinput -getAdminUID
call .\bin\admin\admconfig.bat -i testinput -getAdminusers
call .\bin\admin\admconfig.bat -i testinput -getCachelifetime
call .\bin\admin\admconfig.bat -i testinput -getClassname
call .\bin\admin\admconfig.bat -i testinput -getDefaultacceptlanguage
call .\bin\admin\admconfig.bat -i testinput -getDSConfig
call .\bin\admin\admconfig.bat -i testinput -getErrorlog
call .\bin\admin\admconfig.bat -i testinput -getHosts
call .\bin\admin\admconfig.bat -i testinput -getOneacldir
call .\bin\admin\admconfig.bat -i testinput -getPort
call .\bin\admin\admconfig.bat -i testinput -getServerAddress
call .\bin\admin\admconfig.bat -i testinput -getSuiteSpotUser
call .\bin\admin\admconfig.bat -i testinput -getUGDSConfig
