/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/

#define LIBRARY_NAME "admserv"

static char dbtadmservid[] = "$DBT: admserv referenced v1 $";

#include "i18n.h"

BEGIN_STR(admserv)
	ResDef( DBT_LibraryID_, -1, dbtadmservid )/* extracted from dbtadmserv.h*/
	ResDef( DBT_unauthorizedHost_, 1, "Unauthorized host" )/*extracted from adm-fn.c*/
	ResDef( DBT_invalidUrl_, 2, "Invalid URL" )/*extracted from adm-fn.c*/
	ResDef( DBT_noFilenameExtension_, 3, "no filename extension" )/*extracted from adm-fn.c*/
	ResDef( DBT_unrecognizedType_, 4, "unrecognized type" )/*extracted from adm-fn.c*/
	ResDef( DBT_TitleInternalErrorTitleNH1Intern_, 5, "<title>Internal Error</title>\n<h1>Internal Error</h1>\nThe administration server was unable to fulfill your request.<p>\n" )/*extracted from adm-fn.c*/
	ResDef( DBT_reason_, 6, "Reason:" )/*extracted from adm-fn.c*/
	ResDef( DBT_enduserAccessDisabled_, 7, "Sorry, enduser access has been disabled by the administrator." )/*extracted from adm-fn.c*/
	ResDef( DBT_DSGWAccessDisabled_, 8, "Sorry, access to the Directory Server Gateway has been disabled by the administrator." )/*extracted from adm-fn.c*/
END_STR(admserv)
