# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
# parameters: build_module version.h buildnum.dat security input.inf output.inf

$module = shift;
$versionFile = shift;
$buildFile = shift;
$security = shift;
$input = shift;
$output = shift;

%xlations = ( 'SETUP_BASE' => 'BASE_VERSION_DEF',
              'SETUP_MCC' => 'MCC_VERSION_DEF',
	    );

$type = $xlations{$module};

open( FILE, $versionFile);
while ( <FILE> ) {
   last if ( $version ) = /$type\s+"(.*)"/;
}
close ( FILE);

open( FILE, $buildFile );
while ( <FILE> ) {
    last if ( $buildNum ) = /\\"(.*)\\"/;
}
close( FILE );

open( FILE, $input );
open( OUT, ">$output" );
while ( <FILE> ) {
    s/%%%VERSION%%%/$version/;
    s/%%%BUILD_NUM%%%/$buildNum/;
    s/%%%SECURITY%%%/$security/;
    print OUT;
}
close( OUT );
close( FILE );
