/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef _H_DEBUG
#define _H_DEBUG

#include <stdio.h>
#include <string.h>

#include "netsite.h"

NSPR_BEGIN_EXTERN_C


void MDDebugInit();

#ifdef CS_DEBUG

FILE *dbgFilePtr;

#define DEBUG_FILE "/tmp/msgdisp.log"

#define DEBUG_MSG( a, b ) fprintf( dbgFilePtr, "%s:  %s\n", a, b );fflush(dbgFilePtr)
#define DEBUG_MSG1( a, b, c ) if ( c) { fprintf( dbgFilePtr, "%s:  %s %s\n", a, b, c );fflush(dbgFilePtr); }
#define DEBUG_MSG1L( a, b, c ) fprintf( dbgFilePtr, "%s:  %s %ld\n", a, b, c );fflush(dbgFilePtr)

#else


#define DEBUG_MSG( a, b ) 
#define DEBUG_MSG1( a, b, c ) 
#define DEBUG_MSG1L( a, b, c )

#endif



NSPR_END_EXTERN_C

#endif /* _H_DEBUG */
