/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * Declarations for flexlog
 */

#ifndef _FLEXLOG_H
#define _FLEXLOG_H

#include "frame/func.h"

NSPR_BEGIN_EXTERN_C

Func flex_init;
Func flex_log;
int flex_log_tokens(char *);
void flexRotate(void);
int flex_log_accel( char *logname,
                    char *status,
                    char *content_length,
                    char *client_host,
                    char *full_request,
                    char *method,
                    char *protocol,
                    char *query_string,
                    char *uri,
                    char *referer,
                    char *user_agent,
                    char *authorization,
                    char *auth_user);
NSPR_END_EXTERN_C

#endif /* _FLEXLOG_H */
