/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * Default directive declarations
 */

#ifndef _NTRANS_H
#define _NTRANS_H

#include "frame/func.h"

NSPR_BEGIN_EXTERN_C

void ntrans_init_crits(void);

Func ntrans_unix_home;
Func ntrans_uhome_init;
Func ntrans_pfx2dir;
Func ntrans_docroot;
Func ntrans_user2name;
Func ntrans_redirect;
Func ntrans_homepage;
Func ntrans_assign_name;
Func ntrans_mozilla_redirect;

NSPR_END_EXTERN_C

#endif /* _NTRANS_H */
