/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * Default directive declarations
 */

#ifndef _PCHECK_H
#define _PCHECK_H

#include "netsite.h"
#include "frame/func.h"

NSPR_BEGIN_EXTERN_C

Func pcheck_find_index;
Func pcheck_uri_clean;
#ifdef XP_WIN32
Func pcheck_ntcgicheck;
#endif /* XP_WIN32 */
Func pcheck_require_auth;
Func pcheck_deny_existence;
Func pcheck_find_links;
Func pcheck_find_path;
Func pcheck_nsconfig;
Func pcheck_check_acl;
Func pcheck_acl_state;
Func pcheck_detect_vulnerable;
Func pcheck_ssl_logout;
Func pcheck_set_cache_control;

NSPR_END_EXTERN_C

#endif /* _PCHECK_H */
