/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/* ---- For client libs like libsec/libxp ---- */
#include "netsite.h"
#include "systems.h"
/* Removed for new ns security 
#include "sec.h"
*/
#include "ssl.h"
#include "daemon.h"

/* removed for ns security integration
#include <allxpstr.h>
*/
#if 0
/* removed for ns security integration */
#include "xp_core.h" /* int16 typedef */
#endif

#ifdef XP_WIN32
/* Hack to work around the fact that the winfe people dumped everything 
   in the FE source - XXX */
char *XP_FileName(char *name, int type)
{
    return "fix me";
}

#if 0
/* removed for ns security integration */
/* When debug is on libsec uses this */
void XP_Assert(int exp) { assert(exp); }
#ifndef __cplusplus
void XP_Trace(char *msg, ...) { /* nothing */ }
#endif
#endif /* 0 */
/* 
 *  XXXwe don't like this... we're using -lbase and -lnet -lxp and libnet 
 *  starts using these functions.  -Darren 2/23/96
 *  So, we need happy stubs, not broken stubs.
 */
#if 0
/* removed for ns security integration */
#ifdef MCC_BATMAN
XP_File XP_FileOpen(char *path, XP_FileType type) { return 0; }
#else
XP_File XP_FileOpen(char *path, XP_FileType type) { return (XP_File)-1; }
#endif
#endif /* 0 */
#endif

